## visad.jmet
Class MetGridDirectory

    java.lang.Object
      visad.jmet.MetGridDirectory

Direct Known Subclasses:
  McIDASGridDirectory

public abstract class MetGridDirectory
extends Object

defines an abstract grid directory (meta data)

Field Summary
`protected int` `columns`
`protected CoordinateSystem` `coordSystem`
`protected String` `levelName`
`protected int` `levels`
`protected Unit` `levelUnit`
`protected double` `levelValue`
`protected String` `paramLongName`
`protected String` `paramName`
`protected Unit` `paramUnit`
`protected Date` `referenceTime`
`protected int` `rows`
`protected String` `secondLevelName`
`protected double` `secondLevelValue`
`protected Date` `secondTime`
`protected double` `validHour`
`protected Date` `validTime`
`protected RealType` `xType`
`protected RealType` `yType`

Constructor Summary
`MetGridDirectory()`

Method Summary
`int` `getColumns()`
`abstract CoordinateSystem` `getCoordinateSystem()`
`String` `getLevelName()`
`int` `getLevels()`
`Unit` `getLevelUnit()`
`double` `getLevelValue()`
`String` `getParamLongName()`
`String` `getParamName()`
`Unit` `getParamUnit()`
`Date` `getReferenceTime()`
`int` `getRows()`
`String` `getSecondLevelName()`
`double` `getSecondLevelValue()`
`Date` `getSecondTime()`
`double` `getValidHour()`
`Date` `getValidTime()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### paramName

    protected String paramName

### paramLongName

    protected String paramLongName

### paramUnit

    protected Unit paramUnit

### referenceTime

    protected Date referenceTime

### validTime

    protected Date validTime

### secondTime

    protected Date secondTime

### validHour

    protected double validHour

### coordSystem

    protected CoordinateSystem coordSystem

### levelValue

    protected double levelValue

### levelUnit

    protected Unit levelUnit

### levelName

    protected String levelName

### secondLevelValue

    protected double secondLevelValue

### secondLevelName

    protected String secondLevelName

### rows

    protected int rows

### columns

    protected int columns

### levels

    protected int levels

### xType

    protected RealType xType

### yType

    protected RealType yType

Constructor Detail

### MetGridDirectory

    public MetGridDirectory()

Method Detail

### getParamName

    public String getParamName()

### getParamLongName

    public String getParamLongName()

### getParamUnit

    public Unit getParamUnit()

### getReferenceTime

    public Date getReferenceTime()

### getValidTime

    public Date getValidTime()

### getSecondTime

    public Date getSecondTime()

### getValidHour

    public double getValidHour()

### getCoordinateSystem

    public abstract CoordinateSystem getCoordinateSystem()

### getLevelValue

    public double getLevelValue()

### getLevelUnit

    public Unit getLevelUnit()

### getLevelName

    public String getLevelName()

### getSecondLevelValue

    public double getSecondLevelValue()

### getSecondLevelName

    public String getSecondLevelName()

### getRows

    public int getRows()

### getColumns

    public int getColumns()

### getLevels

    public int getLevels()